Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mystatement
Class MethodCall

    java.lang.Object
      mycompiler.mystatement.Statement
          mycompiler.mystatement.ExprStmt
              mycompiler.mystatement.Expr
                  mycompiler.mystatement.MethodCall

All Implemented Interfaces:
  ITypeReplacementListener

    public class MethodCall

extends Expr

Field Summary

Fields inherited from class mycompiler.mystatement.Expr
`usedid`

Fields inherited from class mycompiler.mystatement.ExprStmt
`type`

Constructor Summary
`MethodCall()`

Method Summary
`void` | `add_Expr(Expr e)`
`void` | `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.String` | `get_Name()`
`void` | `sc_check_get_Method(de.dhbwstuttgart.typeinference.Menge classlist, java.lang.String methodname, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`boolean` | `sc_check_method_kleiner(de.dhbwstuttgart.typeinference.Menge classlist, java.lang.String ist, java.lang.String soll, boolean ext)`
`void` | `sc_check_uebergabe(de.dhbwstuttgart.typeinference.Menge classlist, de.dhbwstuttgart.typeinference.Menge method, boolean ext, int paranum, java.util.Hashtable parach, java.util.Hashtable parabh)`
`void` | `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`void` | `sc_init_extended_fcts(de.dhbwstuttgart.typeinference.Menge method, de.dhbwstuttgart.typeinference.Menge classlist, java.lang.String methodname, java.lang.String classname, boolean ext)`
`void` | `set_ArgumentList(ArgumentList al)`
`void` | `set_Expr_Menge(de.dhbwstuttgart.typeinference.Menge v)`
`void` | `set_Receiver(Receiver rec)`
`void` | `set_UsedId(UsedId u)`
`CTripleSet` | `TRExp(CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)` Implementierung des Algorithmus 5.33 von Martin Pl�micke Author: J�rg B�uerle
`static CTripleSet` | `TRMCallApp(CMultiplyTuple multiTuple, java.lang.String classOrIdentifierName, java.lang.String methodName, int paraCount, boolean isConstructorCall, CSupportData supportData)` Implementierung des Algorithmus 5.34 von Martin Pl�micke
`CTripleSet` | `TRStatement(CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)` Implementierung des Algorithmus 5.27 von Martin Pl�micke Author: J�rg B�uerle

Methods inherited from class mycompiler.mystatement.Expr
`get_Name_Menge, get_Type_Menge, get_UsedId, set_Type, TRMultiply, TRTuple`

Methods inherited from class mycompiler.mystatement.ExprStmt
`getType, getTypeLineNumber, getTypeName, replaceType, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodCall

    public MethodCall()

Method Detail

### set_ArgumentList

    public void set_ArgumentList(ArgumentList al)

### get_Name

    public java.lang.String get_Name()

  Specified by:
    `get_Name` in class `Expr`

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                         java.util.Hashtable ch,
                         java.util.Hashtable bh,
                         boolean ext,
                         java.util.Hashtable parach,
                         java.util.Hashtable parabh)
                  throws SCStatementException

  Specified by:
    `sc_check` in class `Expr`
  Throws:
    `SCStatementException`

### sc_check_get_Method

    public void sc_check_get_Method(de.dhbwstuttgart.typeinference.Menge classlist,
                                    java.lang.String methodname,
                                    boolean ext,
                                    java.util.Hashtable parach,
                                    java.util.Hashtable parabh)
                             throws SCStatementException

  Throws:
    `SCStatementException`

### sc_check_uebergabe

    public void sc_check_uebergabe(de.dhbwstuttgart.typeinference.Menge classlist,
                                   de.dhbwstuttgart.typeinference.Menge method,
                                   boolean ext,
                                   int paranum,
                                   java.util.Hashtable parach,
                                   java.util.Hashtable parabh)
                            throws SCStatementException

  Throws:
    `SCStatementException`

### sc_check_method_kleiner

    public boolean sc_check_method_kleiner(de.dhbwstuttgart.typeinference.Menge classlist,
                                           java.lang.String ist,
                                           java.lang.String soll,
                                           boolean ext)

### sc_init_extended_fcts

    public void sc_init_extended_fcts(de.dhbwstuttgart.typeinference.Menge method,
                                      de.dhbwstuttgart.typeinference.Menge classlist,
                                      java.lang.String methodname,
                                      java.lang.String classname,
                                      boolean ext)

### set_Receiver

    public void set_Receiver(Receiver rec)

### set_UsedId

    public void set_UsedId(UsedId u)

  Overrides:
    `set_UsedId` in class `Expr`

### set_Expr_Menge

    public void set_Expr_Menge(de.dhbwstuttgart.typeinference.Menge v)

### add_Expr

    public void add_Expr(Expr e)

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
  Throws:
    `JVMCodeException`

### TRStatement

    public CTripleSet TRStatement(CSubstitutionSet sigma,
                                  CTypeAssumptionSet V,
                                  CSupportData supportData)

  Implementierung des Algorithmus 5.27 von Martin Pl�micke
  Author: J�rg B�uerle

  Specified by:
    `TRStatement` in class `Statement`
  Parameters:
    `sigma` -
    `V` -
    `supportData` -
  Returns:

### TRExp

    public CTripleSet TRExp(CSubstitutionSet sigma,
                            CTypeAssumptionSet V,
                            CSupportData supportData)

  Implementierung des Algorithmus 5.33 von Martin Pl�micke
  Author: J�rg B�uerle

  Specified by:
    `TRExp` in class `Expr`
  Parameters:
    `sigma` -
    `V` -
    `supportData` -
  Returns:

### TRMCallApp

    public static CTripleSet TRMCallApp(CMultiplyTuple multiTuple,
                                        java.lang.String classOrIdentifierName,
                                        java.lang.String methodName,
                                        int paraCount,
                                        boolean isConstructorCall,
                                        CSupportData supportData)

  Implementierung des Algorithmus 5.34 von Martin Pl�micke

  Parameters:
    `multiTuple` -
    `classOrIdentifierName` -
    `methodName` -
    `paraCount` -
    `isConstructorCall` -
    `supportData` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD